package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

type HappyOrchardTaskNumDb struct {
	Db *xorm.Engine
}

func NewHappyOrchardTaskNumDb(engine *xorm.Engine) dao.HappyOrchardTaskNumDao {
	return &HappyOrchardTaskNumDb{Db: engine}
}
func (h HappyOrchardTaskNumDb) GetHappyOrchardTaskNumTotal(args map[string]string) int {
	sess := h.Db.Where("uid=? and time>=? and time<? and task_type=?", args["uid"], args["start_time"], args["end_time"], args["task_type"])
	if args["task_id"] != "" {
		sess.And("task_id=?", args["task_id"])
	}
	sum, _ := sess.Sum(&models.HappyOrchardTaskNum{}, "count")
	return int(sum)
}
func (h HappyOrchardTaskNumDb) GetHappyOrchardTaskNum(args map[string]string) *models.HappyOrchardTaskNum {
	var data models.HappyOrchardTaskNum
	sess := h.Db.Where("uid=? and time=? and task_type=?", args["uid"], args["time"], args["task_type"])
	if args["task_id"] != "" {
		sess.And("task_id=?", args["task_id"])
	}
	get, err := sess.Get(&data)
	if get == false || err != nil {
		return nil
	}
	return &data
}
