package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceGoodsDb(engine *xorm.Engine) dao.SuperCloudIssuanceGoodsDao {
	return &SuperCloudIssuanceGoodsDb{Db: engine}
}

type SuperCloudIssuanceGoodsDb struct {
	Db *xorm.Engine
}

func (h SuperCloudIssuanceGoodsDb) DeleteCloudIssuanceGoods(id interface{}) (affected int64, err error) {
	_, err = h.Db.Where("id=?", id).Delete(models.SuperCloudIssuanceGoods{})
	if err != nil {
		return 0, err
	}
	return 1, nil
}

func (h SuperCloudIssuanceGoodsDb) GetSuperCloudIssuanceGoodByCategory(categoryId int) (m *models.SuperCloudIssuanceGoods, err error) {
	m = new(models.SuperCloudIssuanceGoods)
	has, err := h.Db.Where("cloud_issuance_category_id = ?", categoryId).OrderBy("id ASC").Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (h SuperCloudIssuanceGoodsDb) FindSuperCloudIssuanceGoods(id string, cid, start, limit int) (mm *[]models.SuperCloudIssuanceGoods, err error) {
	var m []models.SuperCloudIssuanceGoods
	sess := h.Db.Where("1=1")
	if cid > 0 {
		sess.And("cloud_issuance_category_id=?", cid)
	}
	if id != "" {
		sess.And("id=?", id)
	}
	if err := sess.Limit(limit, start).OrderBy("create_at desc,id desc").Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
