package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_utils "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"errors"
	"fmt"
	"reflect"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindFollowUserDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserRobotBindFollowUserDao {
	return &SuperCloudIssuanceUserRobotBindFollowUserDb{Db: engine}
}

type SuperCloudIssuanceUserRobotBindFollowUserDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserRobotBindFollowUserDb) FindSuperCloudIssuanceUserRobotBindFollowUser(params map[string]interface{}) ([]*models.SuperCloudIssuanceUserRobotBindFollowUser, error) {
	var m []*models.SuperCloudIssuanceUserRobotBindFollowUser
	if params["value"] == nil {
		return nil, errors.New("参数有误")
	}
	if params["key"] == nil {
		//查询全部数据
		err := s.Db.Find(&m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
		return m, nil
	} else {
		if reflect.TypeOf(params["value"]).Kind() == reflect.Slice {
			//指定In查询
			if err := s.Db.In(zhios_order_relate_utils.AnyToString(params["key"]), params["value"]).Find(&m); err != nil {
				return nil, zhios_order_relate_logx.Warn(err)
			}
			return m, nil
		} else {
			var query = fmt.Sprintf("%s =?", params["key"])
			err := s.Db.Where(query, params["value"]).Find(&m)
			if err != nil {
				return nil, zhios_order_relate_logx.Error(err)
			}
			return m, nil
		}

	}
}

func (s SuperCloudIssuanceUserRobotBindFollowUserDb) GetCloudIssuanceUserRobotBindFollowUser(id int) (m *models.SuperCloudIssuanceUserRobotBindFollowUser, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindFollowUser)
	has, err := s.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowUserDb) GetCloudIssuanceUserRobotBindFollowUserByWxId(wxId string) (m *models.SuperCloudIssuanceUserRobotBindFollowUser, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindFollowUser)
	has, err := s.Db.Where("monitor_host_wx_id =?", wxId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowUserDb) InsertCloudIssuanceUserRobotBindFollowUser(m *models.SuperCloudIssuanceUserRobotBindFollowUser) (id int, err error) {
	_, err = s.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	id = m.Id
	return id, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowUserDb) BatchAddCloudIssuanceUserRobotBindFollowUsers(data []*models.SuperCloudIssuanceUserRobotBindFollowUser) (int64, error) {
	affected, err := s.Db.Insert(data)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowUserDb) SaveCloudIssuanceUserRobotBindFollowUser(id interface{}, m *models.SuperCloudIssuanceUserRobotBindFollowUser, forceColums ...string) (affected int64, err error) {
	if forceColums != nil {
		affected, err = s.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = s.Db.Where("id=?", id).Update(m)
	}
	return
}

func (s SuperCloudIssuanceUserRobotBindFollowUserDb) DeleteCloudIssuanceUserRobotBindFollowUser(bindId interface{}) (affected int64, err error) {
	_, err = s.Db.Where("activate_group_id=?", bindId).Delete(models.SuperCloudIssuanceUserRobotBindFollowUser{})
	if err != nil {
		return 0, err
	}
	return 1, nil
}
