package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindSourceFollowGroupDb(engine *xorm.Engine, session *xorm.Session) dao.SuperCloudIssuanceUserRobotBindSourceFollowGroupDao {
	return &SuperCloudIssuanceUserRobotBindSourceFollowGroupDb{Db: engine, Session: session}
}

type SuperCloudIssuanceUserRobotBindSourceFollowGroupDb struct {
	Db      *xorm.Engine
	Session *xorm.Session
}

func (s SuperCloudIssuanceUserRobotBindSourceFollowGroupDb) BatchAddSuperCloudIssuanceUserRobotBindSourceFollowGroups(data []*models.SuperCloudIssuanceUserRobotBindSourceFollowGroup) (int64, error) {
	affected, err := s.Session.Insert(data)
	if err != nil {
		return 0, err
	}
	return affected, nil
}
func (s SuperCloudIssuanceUserRobotBindSourceFollowGroupDb) GetSuperCloudIssuanceUserRobotBindSourceFollowGroupsByChatRoomId(chatRoomId string) (m *models.SuperCloudIssuanceUserRobotBindSourceFollowGroup, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindSourceFollowGroup)
	has, err := s.Db.Where("follow_chat_room_id =? ", chatRoomId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
