package model

type MasterB2cOrderStatistics struct {
	Id                    int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	MasterId              int    `json:"master_id" xorm:"not null default 0 comment('站长id') INT(11)"`
	PaymentTotal          string `json:"payment_total" xorm:"not null default 0.0000 comment('付款金额(元)') DECIMAL(10,4)"`
	OrderCount            int    `json:"order_count" xorm:"not null default 0 comment('订单数量(笔)') INT(11)"`
	EstimatedCommission   string `json:"estimated_commission" xorm:"not null default 0.0000 comment('预估佣金(元)') DECIMAL(10,4)"`
	LoseOrderCount        int    `json:"lose_order_count" xorm:"not null default 0 comment('失效订单(笔)') INT(11)"`
	PlaceOrderNumOfPeople int    `json:"place_order_num_of_people" xorm:"not null default 0 comment('下单人数(个)') INT(11)"`
	EffectiveOrderCount   int    `json:"effective_order_count" xorm:"not null default 0 comment('有效订单(笔)') INT(11)"`
	EffectiveCommission   string `json:"effective_commission" xorm:"not null default 0.0000 comment('有效佣金(元)') DECIMAL(10,4)"`
	ReceiveCommission     string `json:"receive_commission" xorm:"not null default 0.0000 comment('收货佣金(元)') DECIMAL(10,4)"`
	LoseCommission        string `json:"lose_commission" xorm:"not null default 0.0000 comment('失效佣金(元)') DECIMAL(10,4)"`
	AvgCommission         string `json:"avg_commission" xorm:"not null default 0.0000 comment('平均佣金(元)') DECIMAL(10,4)"`
	CustomerUnitPrice     string `json:"customer_unit_price" xorm:"not null default 0.0000 comment('客单价(元)') DECIMAL(10,4)"`
	Date                  string `json:"date" xorm:"not null default '0000-00-00' comment('统计时间') VARCHAR(50)"`
	CreateAt              string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' TIMESTAMP"`
	UpdateAt              string `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
	EffectivePaymentTotal string `json:"effective_payment_total" xorm:"not null default 0.0000 comment('有效付款金额(元)') DECIMAL(10,4)"`
}
